<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getMoneySources](./bitburner.ns.getmoneysources.md)

## NS.getMoneySources() method

Get information about the sources of income for this run.

**Signature:**

```typescript
getMoneySources(): MoneySources;
```
**Returns:**

[MoneySources](./bitburner.moneysources.md)

Money sources

## Remarks

RAM cost: 1.0 GB

Returns an object with information on the income sources for this run

